> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modelslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Video

> Fetch Queued Video API fetches queued video.

## Request

Send a `POST` request to below endpoint to return the corresponding queued videos. Where `{id}` is the ID returned together with the image URL in the response upon its generation. This endpoint does not generate new video, it returns already generated/queued videos.

```curl curl theme={null}
--request POST 'https://modelslab.com/api/v1/enterprise/image_to_video_ultra/fetch/{id}' \
```

## Body

```json json theme={null}
{ 
    "key": ""
}
```


## OpenAPI

````yaml POST /image_to_video_ultra/fetch/{id}
openapi: 3.0.0
info:
  title: ModelsLab Enterprise Video API
  version: 1.0.0
  description: API for managing enterprise Video server operations.
servers:
  - url: https://modelslab.com/api/v1/enterprise
security: []
paths:
  /image_to_video_ultra/fetch/{id}:
    post:
      summary: 'Enterprise: Fetch Queued Video Endpoint'
      description: Fetch Queued Video API fetches queued video.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiKey'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponse'
        '401':
          description: Unauthorized - Invalid API Key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ApiKey:
      type: object
      properties:
        key:
          type: string
          description: Your API key
      required:
        - key
    GenericResponse:
      type: object
      properties:
        status:
          type: string
          example: success
        message:
          type: string
          example: Operation completed successfully
    ErrorResponse:
      type: object
      properties:
        status:
          type: string
          example: error
        message:
          type: string
          example: Error message

````